Update a file asset
curl --request PUT \
--url https://api.extole.io/v6/files/{fileId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "name",
"tags": [
"tag"
]
}
'import requests
url = "https://api.extole.io/v6/files/{fileId}"
payload = {
"name": "name",
"tags": ["tag"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'name', tags: ['tag']})
};
fetch('https://api.extole.io/v6/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Files
Update a file asset
Updates the mutable metadata of an existing file asset: name and tags. File content is immutable after upload. The file asset must be in AVAILABLE status; expired file assets cannot be updated.
PUT
/
v6
/
files
/
{fileId}
Update a file asset
Authorizations
HEADERQUERYCOOKIE
Path Parameters
File asset ID.
Body
application/json
Body of a PUT /v6/files/{fileId} request.
Updated human-readable name for the file asset. Max length 255. Omit to leave unchanged.
Updated string labels. Replaces the existing tag set. Each tag max length 255. Omit to leave unchanged.
Updated string labels. Replaces the existing tag set. Each tag max length 255. Omit to leave unchanged.
Response
File asset updated. Returns the full updated file asset record.
⌘I
